Subject: Re: Case sensitivity in filenames
From: [email-masked] (Bob McGowan)

29 Dec 1998 15:31:53 -0800
Message-ID: <[email-masked]>
References: <c=UK%a=_%p=Origin-it%l=[email-masked]>
To: [email-masked]

Paul,

This is the same behavior as in b19.  If you type in the full name (no wildcards), then there is no case sensitivity in the name (ie abc.zip and ABC.ZIP are treated the same).  When you use wildcards, then the regexp parsing, which is based on UNIX code, IS case sensitive, since it has to read the directory contents and then do compares.  In the full filename case, the name is passed to the underlying FS code, which doesn't care about case.

Bob McGowan
bob dot mcgowan at usa dot net

> I can't believe that this isn't a FAQ, but I've looked and can't find
> it. I've just installed cygwin B20.1, and it appears that the commands
> are treating files case-sensitively. In particular, if I do (from
> COMMAND.COM) "ls *.zip" I get a list of zip files in the current
> directory. But if I do "ls *.ZIP" I get nothing! Now, I understand that
> Unix filenames are case sensitive, but Windows ones aren't and so I
> would expect the command to produce the same results in both cases (or
> at least for there to be an option to make this happen). But it appears
> not...
> 
> Can anybody suggest what I'm missing? My CYGWIN environment variable is
> not set at all. Should I set something in it? The documentation doesn't
> show anything which looks relevant.
> 
> Thanks,
> Paul Moore

-----
See the original message at http://www.egroups.com/list/gnu-win32/?start=10270
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".